Index: trunk/src/mode_sahelien/composite_olr_EOF24_1030_passbande.m
===================================================================
--- trunk/src/mode_sahelien/composite_olr_EOF24_1030_passbande.m	(revision 15)
+++ trunk/src/mode_sahelien/composite_olr_EOF24_1030_passbande.m	(revision 16)
@@ -1,4 +1,7 @@
+%
+
 % initialisation
-clear; close all;
+clear;
+close all;
 
 cd('..');
@@ -25,5 +28,6 @@
 olr1=zeros(siz,21,144);
 olr1(:,:,1:72)=olr(:,:,73:144);
-olr1(:,:,73:144)=olr(:,:,1:72); clear olr;
+olr1(:,:,73:144)=olr(:,:,1:72);
+clear olr;
 
 % on permture le temps et l'espce
@@ -37,16 +41,14 @@
       vecteur=zeros(siz,1);
       for c=1:siz;
-           vecteur(c)=olr1(a,b,c);    
+           vecteur(c)=olr1(a,b,c);
       end;
       std_c=nanmean(vecteur);
       for c=1:siz;
-          olr1(a,b,c)=olr1(a,b,c)-std_c;    
-      end 
+          olr1(a,b,c)=olr1(a,b,c)-std_c;
+      end
    end
-end;   
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+end;
+
 % on met sous la forme longitude latitude jour
-
 
 % on selectionne les mois d ete (attention aux annees bixestiles!)
@@ -145,7 +147,6 @@
 olr1=permute(olr,[3 4 1 2]);
 clear olr;
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
-% ouverture / lecture du fichier 
+
+% ouverture / lecture du fichier
 fid=fopen('sahel_pb.dat','r');
 v=fread(fid,3538,'float');
@@ -153,14 +154,18 @@
 
 % on met sous la forme annee mois
-ind_olr=reshape(v,122,29); clear v; 
+ind_olr=reshape(v,122,29);
+clear v;
 
 % on selectionne les annees de 1979 a 2006
-ind_olr1=ind_olr(:,1:28); clear ind_olr;
-k=122*28; olr_eof=ind_olr1; clear ind_olr1;
-
-% on calcule l ecart type sur la serie temporelle de l OLR 
+ind_olr1=ind_olr(:,1:28);
+clear ind_olr;
+k=122*28;
+olr_eof=ind_olr1;
+clear ind_olr1;
+
+% on calcule l ecart type sur la serie temporelle de l OLR
 olrbis=reshape(olr_eof,k,1);
-olr_std=std(olrbis); 
-olr_moy=mean(olrbis); 
+olr_std=std(olrbis);
+olr_moy=mean(olrbis);
 
 
@@ -168,26 +173,30 @@
    olrbis(a)=(olrbis(a)-olr_moy)/olr_std;
 end
-       
-clear olr_eof; 
+
+clear olr_eof;
 olr_eof=reshape(olrbis,122,28);
 % intialisation des tableaux
-olr_filtre_compomax=NaN*ones(50,31,21,144); 
+olr_filtre_compomax=NaN*ones(50,31,21,144);
 olr_filtre_compomin=NaN*ones(50,31,21,144);
 
-compteurmax=0; 
+compteurmax=0;
 compteurmin=0;
 
-for a=1:28; % boucle sur les annees
-   clear delta; 
+% boucle sur les annees
+for a=1:28;
+   clear delta;
    delta=zeros(122,1);
-   for b=1:122; % boucle sur les jours : on prepare avant   
+   % boucle sur les jours : on prepare avant
+   for b=1:122;
         if b>1;
             delta(b)=olr_eof(b,a)-olr_eof(b-1,a);
         end;
    end;
-   for b=1:122; % boucle sur les jours
-      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
-% cas 1 : max deltas apres negetifs et deltas avant postifs   
-         if (delta(b+1)<0 && delta(b)>0 && olr_eof(b,a)>1); 
+   % boucle sur les jours
+   for b=1:122;
+      % 1ere condition (laisser une marge de 10)
+      if (b>20 && b<112);
+% cas 1 : max deltas apres negetifs et deltas avant postifs
+         if (delta(b+1)<0 && delta(b)>0 && olr_eof(b,a)>1);
             compteurmax=compteurmax+1;
           olr_filtre_compomax(compteurmax,1,:,:)=olr1(b-20,a,:,:);
@@ -224,5 +233,5 @@
             olr_filtre_compomax(compteurmax,30,:,:)=olr1(b+9,a,:,:);
             olr_filtre_compomax(compteurmax,31,:,:)=olr1(b+10,a,:,:);
-% cas 2 : min deltas apres positifs et deltas avant negatifs   
+% cas 2 : min deltas apres positifs et deltas avant negatifs
          elseif (delta(b+1)>0 && delta(b)<0 && olr_eof(b,a)<-1);
             compteurmin=compteurmin+1;
@@ -263,5 +272,5 @@
          end;
       end;
-   end;         
+   end;
 end;
 disp(['iii : compteurmin =', int2str(compteurmin)]);
@@ -283,12 +292,15 @@
 % on fait la somme des valeurs de olr_filtre sur le nbre d occurences
 % on obtent un tableau de la forme (jours-avant-apres,lon,lat)
-olr_filtre_compomin1(:,:,:)=nanmean(olr_filtre_compomin); clear olr_filtre_compomin;
-olr_filtre_compomax1(:,:,:)=nanmean(olr_filtre_compomax); clear olr_filtre_compomax;
-
-x=[-10:1:10]'; %'
-
-figure(1); orient('landscape');
-
-lat=lat(21:41)'; 
+olr_filtre_compomin1(:,:,:)=nanmean(olr_filtre_compomin);
+clear olr_filtre_compomin;
+olr_filtre_compomax1(:,:,:)=nanmean(olr_filtre_compomax);
+clear olr_filtre_compomax;
+
+x=[-10:1:10]';
+
+figure(1);
+orient('landscape');
+
+lat=lat(21:41)';
 lon=lon-180;
 for e=1:7;
@@ -321,5 +333,5 @@
        delta_olr_filtre_min(1,2)=50.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -329,12 +341,13 @@
        else
          set (gca,'XTick',[-60:30:60],'XTickLabel',[' ';' ';' ';' ';' ']);
-       end; 
+       end;
 
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set (co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
@@ -342,15 +355,17 @@
 
 
-       if e==7;      
+       if e==7;
       title('OLR composite EOF234 1030j ITCZ 7.5-12.5 ','fontsize',8) ;
        end
        text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
-end;
-
-figure(1); print -depsc2 composite_olr_EOF234_1030_part1.eps;  
-
-figure(2); orient('landscape');
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
+end;
+
+figure(1);
+print -depsc2 composite_olr_EOF234_1030_part1.eps;
+
+figure(2);
+orient('landscape');
 
 for e=1:7;
@@ -383,5 +398,5 @@
        delta_olr_filtre_min(1,2)=50.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -391,12 +406,13 @@
        else
          set (gca,'XTick',[-60:30:60],'XTickLabel',[' ';' ';' ';' ';' ']);
-       end; 
+       end;
 
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set (co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
@@ -404,16 +420,12 @@
 
 
-       if e==7;      
+       if e==7;
       title('OLR composite EOF234 1030j ITCZ 7.5-12.5 ','fontsize',8) ;
        end
        text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
-end;
-
-figure(2); print -depsc2 composite_olr_EOF234_1030_part2.eps;  
-
-
-
-
-
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
+end;
+
+figure(2);
+print -depsc2 composite_olr_EOF234_1030_part2.eps;
